Package com.independentsoft.office.word.tables

# Class CellProperties

java.lang.Object
com.independentsoft.office.word.tables.CellProperties

public class CellProperties extends Object
The Class CellProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellProperties()`
  Instantiates a new cell properties.
  `CellProperties​(InternalXMLStreamReader reader)`
  Instantiates a new cell properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CellProperties`
  `clone()`
  `BottomBorder`
  `getBottomBorder()`
  Gets the bottom border.
  `Width`
  `getBottomMarginException()`
  Gets the bottom margin exception.
  `ConditionalFormatting`
  `getConditionalFormatting()`
  Gets the conditional formatting.
  `ExtendedBoolean`
  `getFitText()`
  Gets the fit text.
  `int`
  `getGridSpan()`
  Gets the grid span.
  `ExtendedBoolean`
  `getHideMark()`
  Gets the hide mark.
  `HorizontalInsideBorder`
  `getHorizontalInsideBorder()`
  Gets the horizontal inside border.
  `HorizontallyMergedCell`
  `getHorizontallyMergedCell()`
  Gets the horizontally merged cell.
  `LeftBorder`
  `getLeftBorder()`
  Gets the left border.
  `Width`
  `getLeftMarginException()`
  Gets the left margin exception.
  `CellMerge`
  `getMerge()`
  Gets the merge.
  `ExtendedBoolean`
  `getNoWrap()`
  Gets the no wrap.
  `RightBorder`
  `getRightBorder()`
  Gets the right border.
  `Width`
  `getRightMarginException()`
  Gets the right margin exception.
  `Shading`
  `getShading()`
  Gets the shading.
  `TextDirection`
  `getTextDirection()`
  Gets the text direction.
  `TopBorder`
  `getTopBorder()`
  Gets the top border.
  `TopLeftBottomRightDiagonalBorder`
  `getTopLeftBottomRightDiagonalBorder()`
  Gets the top left bottom right diagonal border.
  `Width`
  `getTopMarginException()`
  Gets the top margin exception.
  `TopRightBottomLeftDiagonalBorder`
  `getTopRightBottomLeftDiagonalBorder()`
  Gets the top right bottom left diagonal border.
  `VerticalAlignmentType`
  `getVerticalAlignment()`
  Gets the vertical alignment.
  `VerticalInsideBorder`
  `getVerticalInsideBorder()`
  Gets the vertical inside border.
  `VerticallyMergedCell`
  `getVerticallyMergedCell()`
  Gets the vertically merged cell.
  `Width`
  `getWidth()`
  Gets the width.
  `static boolean`
  `isEmpty​(String value)`
  Checks if is empty.
  `void`
  `setBottomBorder​(BottomBorder bottomBorder)`
  Sets the bottom border.
  `void`
  `setBottomMarginException​(Width bottomMarginException)`
  Sets the bottom margin exception.
  `void`
  `setConditionalFormatting​(ConditionalFormatting conditionalFormatting)`
  Sets the conditional formatting.
  `void`
  `setFitText​(ExtendedBoolean fitText)`
  Sets the fit text.
  `void`
  `setGridSpan​(int gridSpan)`
  Sets the grid span.
  `void`
  `setHideMark​(ExtendedBoolean hideMark)`
  Sets the hide mark.
  `void`
  `setHorizontalInsideBorder​(HorizontalInsideBorder horizontalInsideBorder)`
  Sets the horizontal inside border.
  `void`
  `setHorizontallyMergedCell​(HorizontallyMergedCell horizontallyMergedCell)`
  Sets the horizontally merged cell.
  `void`
  `setLeftBorder​(LeftBorder leftBorder)`
  Sets the left border.
  `void`
  `setLeftMarginException​(Width leftMarginException)`
  Sets the left margin exception.
  `void`
  `setMerge​(CellMerge merge)`
  Sets the merge.
  `void`
  `setNoWrap​(ExtendedBoolean noWrap)`
  Sets the no wrap.
  `void`
  `setRightBorder​(RightBorder rightBorder)`
  Sets the right border.
  `void`
  `setRightMarginException​(Width rightMarginException)`
  Sets the right margin exception.
  `void`
  `setShading​(Shading shading)`
  Sets the shading.
  `void`
  `setTextDirection​(TextDirection textDirection)`
  Sets the text direction.
  `void`
  `setTopBorder​(TopBorder topBorder)`
  Sets the top border.
  `void`
  `setTopLeftBottomRightDiagonalBorder​(TopLeftBottomRightDiagonalBorder topLeftBottomRightDiagonalBorder)`
  Sets the top left bottom right diagonal border.
  `void`
  `setTopMarginException​(Width topMarginException)`
  Sets the top margin exception.
  `void`
  `setTopRightBottomLeftDiagonalBorder​(TopRightBottomLeftDiagonalBorder topRightBottomLeftDiagonalBorder)`
  Sets the top right bottom left diagonal border.
  `void`
  `setVerticalAlignment​(VerticalAlignmentType verticalAlignment)`
  Sets the vertical alignment.
  `void`
  `setVerticalInsideBorder​(VerticalInsideBorder verticalInsideBorder)`
  Sets the vertical inside border.
  `void`
  `setVerticallyMergedCell​(VerticallyMergedCell verticallyMergedCell)`
  Sets the vertically merged cell.
  `void`
  `setWidth​(Width width)`
  Sets the width.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CellProperties

    public CellProperties()
    Instantiates a new cell properties.

  - ### CellProperties

    public CellProperties​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new cell properties.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public CellProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isEmpty

    public static boolean isEmpty​(String value)
    Checks if is empty.
    Parameters:
      `value` - the value
    Returns:
      true, if is empty

  - ### getTopBorder

    public TopBorder getTopBorder()
    Gets the top border.
    Returns:
      the top border

  - ### setTopBorder

    public void setTopBorder​(TopBorder topBorder)
    Sets the top border.
    Parameters:
      `topBorder` - the new top border

  - ### getBottomBorder

    public BottomBorder getBottomBorder()
    Gets the bottom border.
    Returns:
      the bottom border

  - ### setBottomBorder

    public void setBottomBorder​(BottomBorder bottomBorder)
    Sets the bottom border.
    Parameters:
      `bottomBorder` - the new bottom border

  - ### getRightBorder

    public RightBorder getRightBorder()
    Gets the right border.
    Returns:
      the right border

  - ### setRightBorder

    public void setRightBorder​(RightBorder rightBorder)
    Sets the right border.
    Parameters:
      `rightBorder` - the new right border

  - ### getLeftBorder

    public LeftBorder getLeftBorder()
    Gets the left border.
    Returns:
      the left border

  - ### setLeftBorder

    public void setLeftBorder​(LeftBorder leftBorder)
    Sets the left border.
    Parameters:
      `leftBorder` - the new left border

  - ### getHorizontalInsideBorder

    public HorizontalInsideBorder getHorizontalInsideBorder()
    Gets the horizontal inside border.
    Returns:
      the horizontal inside border

  - ### setHorizontalInsideBorder

    public void setHorizontalInsideBorder​(HorizontalInsideBorder horizontalInsideBorder)
    Sets the horizontal inside border.
    Parameters:
      `horizontalInsideBorder` - the new horizontal inside border

  - ### getVerticalInsideBorder

    public VerticalInsideBorder getVerticalInsideBorder()
    Gets the vertical inside border.
    Returns:
      the vertical inside border

  - ### setVerticalInsideBorder

    public void setVerticalInsideBorder​(VerticalInsideBorder verticalInsideBorder)
    Sets the vertical inside border.
    Parameters:
      `verticalInsideBorder` - the new vertical inside border

  - ### getTopRightBottomLeftDiagonalBorder

    public TopRightBottomLeftDiagonalBorder getTopRightBottomLeftDiagonalBorder()
    Gets the top right bottom left diagonal border.
    Returns:
      the top right bottom left diagonal border

  - ### setTopRightBottomLeftDiagonalBorder

    public void setTopRightBottomLeftDiagonalBorder​(TopRightBottomLeftDiagonalBorder topRightBottomLeftDiagonalBorder)
    Sets the top right bottom left diagonal border.
    Parameters:
      `topRightBottomLeftDiagonalBorder` - the new top right bottom left diagonal border

  - ### getTopLeftBottomRightDiagonalBorder

    public TopLeftBottomRightDiagonalBorder getTopLeftBottomRightDiagonalBorder()
    Gets the top left bottom right diagonal border.
    Returns:
      the top left bottom right diagonal border

  - ### setTopLeftBottomRightDiagonalBorder

    public void setTopLeftBottomRightDiagonalBorder​(TopLeftBottomRightDiagonalBorder topLeftBottomRightDiagonalBorder)
    Sets the top left bottom right diagonal border.
    Parameters:
      `topLeftBottomRightDiagonalBorder` - the new top left bottom right diagonal border

  - ### getTopMarginException

    public Width getTopMarginException()
    Gets the top margin exception.
    Returns:
      the top margin exception

  - ### setTopMarginException

    public void setTopMarginException​(Width topMarginException)
    Sets the top margin exception.
    Parameters:
      `topMarginException` - the new top margin exception

  - ### getBottomMarginException

    public Width getBottomMarginException()
    Gets the bottom margin exception.
    Returns:
      the bottom margin exception

  - ### setBottomMarginException

    public void setBottomMarginException​(Width bottomMarginException)
    Sets the bottom margin exception.
    Parameters:
      `bottomMarginException` - the new bottom margin exception

  - ### getRightMarginException

    public Width getRightMarginException()
    Gets the right margin exception.
    Returns:
      the right margin exception

  - ### setRightMarginException

    public void setRightMarginException​(Width rightMarginException)
    Sets the right margin exception.
    Parameters:
      `rightMarginException` - the new right margin exception

  - ### getLeftMarginException

    public Width getLeftMarginException()
    Gets the left margin exception.
    Returns:
      the left margin exception

  - ### setLeftMarginException

    public void setLeftMarginException​(Width leftMarginException)
    Sets the left margin exception.
    Parameters:
      `leftMarginException` - the new left margin exception

  - ### getGridSpan

    public int getGridSpan()
    Gets the grid span.
    Returns:
      the grid span

  - ### setGridSpan

    public void setGridSpan​(int gridSpan)
    Sets the grid span.
    Parameters:
      `gridSpan` - the new grid span

  - ### getHorizontallyMergedCell

    public HorizontallyMergedCell getHorizontallyMergedCell()
    Gets the horizontally merged cell.
    Returns:
      the horizontally merged cell

  - ### setHorizontallyMergedCell

    public void setHorizontallyMergedCell​(HorizontallyMergedCell horizontallyMergedCell)
    Sets the horizontally merged cell.
    Parameters:
      `horizontallyMergedCell` - the new horizontally merged cell

  - ### getVerticallyMergedCell

    public VerticallyMergedCell getVerticallyMergedCell()
    Gets the vertically merged cell.
    Returns:
      the vertically merged cell

  - ### setVerticallyMergedCell

    public void setVerticallyMergedCell​(VerticallyMergedCell verticallyMergedCell)
    Sets the vertically merged cell.
    Parameters:
      `verticallyMergedCell` - the new vertically merged cell

  - ### getNoWrap

    public ExtendedBoolean getNoWrap()
    Gets the no wrap.
    Returns:
      the no wrap

  - ### setNoWrap

    public void setNoWrap​(ExtendedBoolean noWrap)
    Sets the no wrap.
    Parameters:
      `noWrap` - the new no wrap

  - ### getFitText

    public ExtendedBoolean getFitText()
    Gets the fit text.
    Returns:
      the fit text

  - ### setFitText

    public void setFitText​(ExtendedBoolean fitText)
    Sets the fit text.
    Parameters:
      `fitText` - the new fit text

  - ### getHideMark

    public ExtendedBoolean getHideMark()
    Gets the hide mark.
    Returns:
      the hide mark

  - ### setHideMark

    public void setHideMark​(ExtendedBoolean hideMark)
    Sets the hide mark.
    Parameters:
      `hideMark` - the new hide mark

  - ### getVerticalAlignment

    public VerticalAlignmentType getVerticalAlignment()
    Gets the vertical alignment.
    Returns:
      the vertical alignment

  - ### setVerticalAlignment

    public void setVerticalAlignment​(VerticalAlignmentType verticalAlignment)
    Sets the vertical alignment.
    Parameters:
      `verticalAlignment` - the new vertical alignment

  - ### getShading

    public Shading getShading()
    Gets the shading.
    Returns:
      the shading

  - ### setShading

    public void setShading​(Shading shading)
    Sets the shading.
    Parameters:
      `shading` - the new shading

  - ### getTextDirection

    public TextDirection getTextDirection()
    Gets the text direction.
    Returns:
      the text direction

  - ### setTextDirection

    public void setTextDirection​(TextDirection textDirection)
    Sets the text direction.
    Parameters:
      `textDirection` - the new text direction

  - ### getWidth

    public Width getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(Width width)
    Sets the width.
    Parameters:
      `width` - the new width

  - ### getConditionalFormatting

    public ConditionalFormatting getConditionalFormatting()
    Gets the conditional formatting.
    Returns:
      the conditional formatting

  - ### setConditionalFormatting

    public void setConditionalFormatting​(ConditionalFormatting conditionalFormatting)
    Sets the conditional formatting.
    Parameters:
      `conditionalFormatting` - the new conditional formatting

  - ### getMerge

    public CellMerge getMerge()
    Gets the merge.
    Returns:
      the merge

  - ### setMerge

    public void setMerge​(CellMerge merge)
    Sets the merge.
    Parameters:
      `merge` - the new merge